Experimental MacOSX 10.6 build (does not work)

(previously 'DEVELOPER') Private forum for registered community members. To register, please visit www.prison-architect.com/register.

Moderator: NBJeff

User avatar
Chris
Introversion Staff
Introversion Staff
Posts: 1172
Joined: Sat Nov 25, 2000 7:28 pm
Location: Cambridge, UK
Contact:

Experimental MacOSX 10.6 build (does not work)

Postby Chris » Thu Sep 27, 2012 7:03 pm

Hey chaps,

We are attempting to fix the problems affecting Prison Architect on Mac OSX 10.6. I've uploaded a new build (alpha-1b) to the wiki. Please give it a try and let us know in this thread if it works for you! If not please post the error messages you see.
Last edited by Chris on Sun Sep 30, 2012 9:21 am, edited 1 time in total.
User avatar
ronanc
level4
level4
Posts: 563
Joined: Wed Sep 26, 2012 2:56 pm
Location: Vietnam

Postby ronanc » Thu Sep 27, 2012 7:14 pm

Hi Chris, alpha-1b will not run on my machine.. not sure how everyone else will fair.

Error report:

Process: Prison Architect [52159]
Path: /Applications/Prison Architect.app/Contents/MacOS/Prison Architect
Identifier: com.Introversion.Prison_Architect
Version: ??? (???)
Code Type: X86 (Native)
Parent Process: launchd [161]

Date/Time: 2012-09-27 19:14:16.526 +0100
OS Version: Mac OS X 10.6.8 (10K549)
Report Version: 6

Interval Since Last Report: 13980744 sec
Crashes Since Last Report: 840
Per-App Crashes Since Last Report: 27
Anonymous UUID: ECFACF55-A892-4AFF-AECC-CD11C5D7829B

Exception Type: EXC_BREAKPOINT (SIGTRAP)
Exception Codes: 0x0000000000000002, 0x0000000000000000
Crashed Thread: 0

Dyld Error Message:
Library not loaded: /usr/lib/libcurl.4.dylib
Referenced from: /Applications/Prison Architect.app/Contents/MacOS/Prison Architect
Reason: Incompatible library version: Prison Architect requires version 7.0.0 or later, but libcurl.4.dylib provides version 6.0.0

Binary Images:
0x8fe00000 - 0x8fe4163b dyld 132.1 (???) <4CDE4F04-0DD6-224E-ACE5-3C06E169A801> /usr/lib/dyld

Model: MacBookPro5,5, BootROM MBP55.00AC.B03, 2 processors, Intel Core 2 Duo, 2.26 GHz, 8 GB, SMC 1.47f2
Graphics: NVIDIA GeForce 9400M, NVIDIA GeForce 9400M, PCI, 256 MB
Memory Module: global_name
AirPort: spairport_wireless_card_type_airport_extreme (0x14E4, 0x8D), Broadcom BCM43xx 1.0 (5.10.131.42.4)
Bluetooth: Version 2.4.5f3, 2 service, 12 devices, 1 incoming serial ports
Network Service: AirPort, AirPort, en1
Serial ATA Device: WDC WD5000BPKT-00PK4T0, 465.76 GB
Serial ATA Device: HL-DT-ST DVDRW GS23N
USB Device: Built-in iSight, 0x05ac (Apple Inc.), 0x8507, 0x24400000 / 2
USB Device: Apple Internal Keyboard / Trackpad, 0x05ac (Apple Inc.), 0x0237, 0x04600000 / 3
USB Device: IR Receiver, 0x05ac (Apple Inc.), 0x8242, 0x04500000 / 2
USB Device: Internal Memory Card Reader, 0x05ac (Apple Inc.), 0x8403, 0x26500000 / 2
USB Device: BRCM2046 Hub, 0x0a5c (Broadcom Corp.), 0x4500, 0x06100000 / 2
USB Device: Bluetooth USB Host Controller, 0x05ac (Apple Inc.), 0x8213, 0x06110000 / 3
dragonmantank
level0
Posts: 3
Joined: Wed Sep 26, 2012 7:53 pm

Postby dragonmantank » Thu Sep 27, 2012 7:22 pm

Same here:

Process: Prison Architect [994]
Path: /Users/ctankersley/Downloads/Prison Architect 2.app/Contents/MacOS/Prison Architect
Identifier: com.Introversion.Prison_Architect
Version: ??? (???)
Code Type: X86 (Native)
Parent Process: launchd [180]

Date/Time: 2012-09-27 14:21:33.003 -0400
OS Version: Mac OS X 10.6.8 (10K549)
Report Version: 6

Interval Since Last Report: 7283147 sec
Crashes Since Last Report: 17
Per-App Crashes Since Last Report: 6
Anonymous UUID: 8E9645DF-0266-406B-A057-F96392DD338E

Exception Type: EXC_BREAKPOINT (SIGTRAP)
Exception Codes: 0x0000000000000002, 0x0000000000000000
Crashed Thread: 0

Dyld Error Message:
Library not loaded: /usr/lib/libcurl.4.dylib
Referenced from: /Users/ctankersley/Downloads/Prison Architect 2.app/Contents/MacOS/Prison Architect
Reason: Incompatible library version: Prison Architect requires version 7.0.0 or later, but libcurl.4.dylib provides version 6.0.0

Binary Images:
0x8fe00000 - 0x8fe4163b dyld 132.1 (???) <4CDE4F04-0DD6-224E-ACE5-3C06E169A801> /usr/lib/dyld

Model: MacBookPro7,1, BootROM MBP71.0039.B0B, 2 processors, Intel Core 2 Duo, 2.4 GHz, 4 GB, SMC 1.62f6
Graphics: NVIDIA GeForce 320M, NVIDIA GeForce 320M, PCI, 256 MB
Memory Module: global_name
AirPort: spairport_wireless_card_type_airport_extreme (0x14E4, 0x8D), Broadcom BCM43xx 1.0 (5.10.131.42.4)
Bluetooth: Version 2.4.5f3, 2 service, 12 devices, 1 incoming serial ports
Network Service: Ethernet, Ethernet, en0
Network Service: AirPort, AirPort, en1
Serial ATA Device: TOSHIBA MK2555GSXF, 232.89 GB
Serial ATA Device: MATSHITADVD-R UJ-898
USB Device: Built-in iSight, 0x05ac (Apple Inc.), 0x8507, 0x24600000 / 2
USB Device: Internal Memory Card Reader, 0x05ac (Apple Inc.), 0x8403, 0x26100000 / 2
USB Device: Logitech USB Headset, 0x046d (Logitech Inc.), 0x0a14, 0x04100000 / 2
USB Device: BRCM2046 Hub, 0x0a5c (Broadcom Corp.), 0x4500, 0x06600000 / 4
USB Device: Bluetooth USB Host Controller, 0x05ac (Apple Inc.), 0x8213, 0x06610000 / 5
USB Device: Apple Internal Keyboard / Trackpad, 0x05ac (Apple Inc.), 0x0236, 0x06300000 / 3
USB Device: IR Receiver, 0x05ac (Apple Inc.), 0x8242, 0x06500000 / 2
mjp_1987
level1
level1
Posts: 10
Joined: Wed Sep 26, 2012 6:50 pm

Postby mjp_1987 » Thu Sep 27, 2012 7:22 pm

Process: Prison Architect [342]
Path: /Users/martinpollard/Downloads/Prison Architect.app/Contents/MacOS/Prison Architect
Identifier: com.Introversion.Prison_Architect
Version: ??? (???)
Code Type: X86 (Native)
Parent Process: launchd [222]

Date/Time: 2012-09-27 19:20:47.235 +0100
OS Version: Mac OS X 10.6.8 (10K549)
Report Version: 6

Interval Since Last Report: 1456532 sec
Crashes Since Last Report: 11
Per-App Crashes Since Last Report: 10
Anonymous UUID: 6820A0D6-AF8A-479C-84C2-BCAF99944083

Exception Type: EXC_BREAKPOINT (SIGTRAP)
Exception Codes: 0x0000000000000002, 0x0000000000000000
Crashed Thread: 0

Dyld Error Message:
Library not loaded: /usr/lib/libcurl.4.dylib
Referenced from: /Users/martinpollard/Downloads/Prison Architect.app/Contents/MacOS/Prison Architect
Reason: Incompatible library version: Prison Architect requires version 7.0.0 or later, but libcurl.4.dylib provides version 6.0.0

Binary Images:
0x8fe00000 - 0x8fe4163b dyld 132.1 (???) <4CDE4F04-0DD6-224E-ACE5-3C06E169A801> /usr/lib/dyld

Model: iMac7,1, BootROM IM71.007A.B03, 2 processors, Intel Core 2 Duo, 2.8 GHz, 2 GB, SMC 1.21f4
Graphics: ATI Radeon HD 2600 Pro, ATI,RadeonHD2600, PCIe, 256 MB
Memory Module: global_name
AirPort: spairport_wireless_card_type_airport_extreme (0x14E4, 0x88), Broadcom BCM43xx 1.0 (5.10.131.42.4)
Bluetooth: Version 2.4.5f3, 2 service, 19 devices, 1 incoming serial ports
Network Service: Ethernet, Ethernet, en0
Network Service: AirPort, AirPort, en1
Network Service: Untitled VLAN, Ethernet, vlan0
Serial ATA Device: WDC WD3200AAJS-40RYA0, 298.09 GB
Parallel ATA Device: OPTIARC DVD RW AD-5630A
USB Device: Built-in iSight, 0x05ac (Apple Inc.), 0x8502, 0xfd400000 / 2
USB Device: USB Keyboard, 0x04d9 (Holtek Semiconductor, Inc.), 0x1603, 0x3a200000 / 2
USB Device: IR Receiver, 0x05ac (Apple Inc.), 0x8242, 0x5d100000 / 2
USB Device: Bluetooth USB Host Controller, 0x05ac (Apple Inc.), 0x8206, 0x1a100000 / 2
USB Device: Microsoft Wireless Optical Mouse® 1.00, 0x045e (Microsoft Corporation), 0x00e1, 0x1a200000 / 3
diametric
level0
Posts: 9
Joined: Thu Sep 27, 2012 12:07 am
Location: United States

Postby diametric » Thu Sep 27, 2012 7:51 pm

Same also.

Code: Select all

Process:         Prison Architect [1108]
Path:            /Users/russ/Downloads/Prison Architect 2.app/Contents/MacOS/Prison Architect
Identifier:      com.Introversion.Prison_Architect
Version:         ??? (???)
Code Type:       X86 (Native)
Parent Process:  launchd [373]

Date/Time:       2012-09-27 14:45:14.502 -0400
OS Version:      Mac OS X 10.6.8 (10K549)
Report Version:  6

Interval Since Last Report:          28454873 sec
Crashes Since Last Report:           199
Per-App Crashes Since Last Report:   5
Anonymous UUID:                      FB061701-138E-4BB9-8431-8D95777C089D

Exception Type:  EXC_BREAKPOINT (SIGTRAP)
Exception Codes: 0x0000000000000002, 0x0000000000000000
Crashed Thread:  0

Dyld Error Message:
  Library not loaded: /usr/lib/libcurl.4.dylib
  Referenced from: /Users/russ/Downloads/Prison Architect 2.app/Contents/MacOS/Prison Architect
  Reason: Incompatible library version: Prison Architect requires version 7.0.0 or later, but libcurl.4.dylib provides version 6.0.0

Binary Images:
0x8fe00000 - 0x8fe4162b  dyld 132.1 (???) <283EE026-C0FE-1FF9-DB81-BFB155793157> /usr/lib/dyld


Being a developer, this looks like a library version problem with curl. What's weird though is, it's complaining that this is only version 6.0, but using otool -L on Prison Architect, I can see this:

Code: Select all

zero:Downloads russ$ otool -L Prison\ Architect\ 2.app/Contents/MacOS/Prison\ Architect
Prison Architect 2.app/Contents/MacOS/Prison Architect:
   @executable_path/../Frameworks/libpng.framework/Versions/1.5.10/libpng (compatibility version 1.0.0, current version 1.0.0)
   @executable_path/../Frameworks/SDL.framework/Versions/A/SDL (compatibility version 1.0.0, current version 1.0.0)
   /usr/lib/libcurl.4.dylib (compatibility version 7.0.0, current version 7.0.0)
   /usr/lib/libz.1.dylib (compatibility version 1.0.0, current version 1.2.5)
   /System/Library/Frameworks/Carbon.framework/Versions/A/Carbon (compatibility version 2.0.0, current version 153.0.0)
   /System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL (compatibility version 1.0.0, current version 1.0.0)
   /System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices (compatibility version 1.0.0, current version 41.0.0)
   /System/Library/Frameworks/Cocoa.framework/Versions/A/Cocoa (compatibility version 1.0.0, current version 17.0.0)
   /System/Library/Frameworks/Foundation.framework/Versions/C/Foundation (compatibility version 300.0.0, current version 833.25.0)
   /System/Library/Frameworks/AppKit.framework/Versions/C/AppKit (compatibility version 45.0.0, current version 1138.47.0)
   /System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices (compatibility version 1.0.0, current version 53.0.0)
   /usr/lib/libobjc.A.dylib (compatibility version 1.0.0, current version 228.0.0)
   /usr/lib/libstdc++.6.dylib (compatibility version 7.0.0, current version 52.0.0)
   /usr/lib/libSystem.B.dylib (compatibility version 1.0.0, current version 159.1.0)
   /System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation (compatibility version 150.0.0, current version 635.21.0)


Which shows my libcurl is infact 7.0.0. I'm continuing to debug some more..
diametric
level0
Posts: 9
Joined: Thu Sep 27, 2012 12:07 am
Location: United States

Postby diametric » Thu Sep 27, 2012 8:02 pm

http://stackoverflow.com/questions/1034 ... so-works-o

Seems relevant as well. Also, weirdly otool when run on PA thinks I have libcurl 7.0.0, but in reality:

Code: Select all

zero:Downloads russ$ otool -L /usr/lib/libcurl.4.dylib
/usr/lib/libcurl.4.dylib:
   /usr/lib/libcurl.4.dylib (compatibility version 6.0.0, current version 6.1.0)
diametric
level0
Posts: 9
Joined: Thu Sep 27, 2012 12:07 am
Location: United States

Postby diametric » Thu Sep 27, 2012 9:46 pm

Figured out why otool reports having 7.0.0 fine, but then doesn't load 7.0.0. I have 7.0.0 installed via Brew, however it's a 64 bit only dylib, and not a universal or 32 bit. Prison Architect, at least this build I'm using now, is 32 bit only. So otool finds it because it's not smart enough to actually fully resolve a dynamic library with architecture in mind, but the DL loader does, skips the correct version of my curl, and attempts to load /usr/lib/libcurl.4.dylib, which on Mac OS X 10.6, is version 6.1.0.

It's killing me not being able to play PA, so my next step is to compile a libcurl in 32 bit, and run install_name_tool -change /usr/lib/libcurl.4.dylib /my/32/bit/version/libcurl.4.dylib "Prison Architect"
User avatar
ronanc
level4
level4
Posts: 563
Joined: Wed Sep 26, 2012 2:56 pm
Location: Vietnam

Postby ronanc » Thu Sep 27, 2012 9:49 pm

Good work diametric.

As for this:
It's killing me not being able to play PA


I'm playing the windows version without any issues on my Mac with Wineskin. You should definitely check it out until we get over this hurdle.
diametric
level0
Posts: 9
Joined: Thu Sep 27, 2012 12:07 am
Location: United States

Postby diametric » Thu Sep 27, 2012 9:57 pm

ronanc wrote:Good work diametric.

As for this:
It's killing me not being able to play PA


I'm playing the windows version without any issues on my Mac with Wineskin. You should definitely check it out until we get over this hurdle.


I got it working =) just had to build a libcurl with CFLAGS="-arch i386", copy that somewhere (like the base directory for PA's binary), and then run install_name_tool -change /usr/lib/libcurl.4.dylib [32bitfilename] "Prison Architect"
LoSboccacc
level0
Posts: 3
Joined: Thu Sep 27, 2012 11:01 pm

Postby LoSboccacc » Thu Sep 27, 2012 11:07 pm

minor miscellaneous stuff in random order:

rotate trough middle mouse is a bit hard with the macbooks glass trackpads

tabbing out fullscreen confuses the hell out of the game

doesn't like the retina display. it covers a smaller area with resolution as 0,0 in the conf, doesn't use hidpi when set at 2880x1800.
User avatar
gsuberland
level2
level2
Posts: 161
Joined: Wed Sep 26, 2012 7:29 pm
Location: United Kingdom
Contact:

Postby gsuberland » Fri Sep 28, 2012 9:08 am

diametric wrote:I got it working =) just had to build a libcurl with CFLAGS="-arch i386", copy that somewhere (like the base directory for PA's binary), and then run install_name_tool -change /usr/lib/libcurl.4.dylib [32bitfilename] "Prison Architect"


Reckon you could host a upload of the compiled binary for people who don't have your gcc-fu?
User avatar
alx
level0
Posts: 6
Joined: Wed Sep 26, 2012 3:22 pm
Location: Paris
Contact:

Postby alx » Fri Sep 28, 2012 6:22 pm

LoSboccacc wrote:doesn't like the retina display. it covers a smaller area with resolution as 0,0 in the conf


Same bug exists even on non retina Macs. There's another thread about it.
jbuckley673
level0
Posts: 2
Joined: Fri Sep 28, 2012 8:45 pm
Location: Ireland

Postby jbuckley673 » Fri Sep 28, 2012 10:41 pm

Just picked up the game now and am disappointed that it doesn't work.
I'm getting this error when I try launch it:


Process: Prison Architect [28881]
Path: /Users/johnbuckley/Downloads/Prison Architect 2.app/Contents/MacOS/Prison Architect
Identifier: com.Introversion.Prison_Architect
Version: ??? (???)
Code Type: X86 (Native)
Parent Process: launchd [128]

Date/Time: 2012-09-28 22:40:23.758 +0100
OS Version: Mac OS X 10.6.8 (10K549)
Report Version: 6

Interval Since Last Report: 178971 sec
Crashes Since Last Report: 5
Per-App Crashes Since Last Report: 5
Anonymous UUID: 2103FCEB-3FC1-488A-BFA1-868E22C8041B

Exception Type: EXC_BREAKPOINT (SIGTRAP)
Exception Codes: 0x0000000000000002, 0x0000000000000000
Crashed Thread: 0

Dyld Error Message:
Library not loaded: /usr/lib/libcurl.4.dylib
Referenced from: /Users/johnbuckley/Downloads/Prison Architect 2.app/Contents/MacOS/Prison Architect
Reason: Incompatible library version: Prison Architect requires version 7.0.0 or later, but libcurl.4.dylib provides version 6.0.0

Binary Images:
0x8fe00000 - 0x8fe4162b dyld 132.1 (???) <1C06ECD9-A2D7-BB10-AF50-0F2B598A7DEC> /usr/lib/dyld

Model: MacBookPro7,1, BootROM MBP71.0039.B05, 2 processors, Intel Core 2 Duo, 2.4 GHz, 4 GB, SMC 1.62f6
Graphics: NVIDIA GeForce 320M, NVIDIA GeForce 320M, PCI, 256 MB
Memory Module: global_name
AirPort: spairport_wireless_card_type_airport_extreme (0x14E4, 0x8D), Broadcom BCM43xx 1.0 (5.10.131.42.4)
Bluetooth: Version 2.4.5f3, 2 service, 19 devices, 1 incoming serial ports
Network Service: Ethernet, Ethernet, en0
Network Service: AirPort, AirPort, en1
Serial ATA Device: Hitachi HTS545025B9SA02, 232.89 GB
Serial ATA Device: MATSHITADVD-R UJ-898
USB Device: Built-in iSight, 0x05ac (Apple Inc.), 0x8507, 0x24600000 / 2
USB Device: Internal Memory Card Reader, 0x05ac (Apple Inc.), 0x8403, 0x26100000 / 2
USB Device: BRCM2046 Hub, 0x0a5c (Broadcom Corp.), 0x4500, 0x06600000 / 4
USB Device: Bluetooth USB Host Controller, 0x05ac (Apple Inc.), 0x8213, 0x06610000 / 6
USB Device: IR Receiver, 0x05ac (Apple Inc.), 0x8242, 0x06500000 / 3
USB Device: Apple Internal Keyboard / Trackpad, 0x05ac (Apple Inc.), 0x0236, 0x06300000 / 2
move_zig
level0
Posts: 1
Joined: Sat Sep 29, 2012 1:51 am
Location: Canada

Postby move_zig » Sat Sep 29, 2012 2:11 am

I'd also like a copy of that library if you can upload it somewhere. I'm running OS X 10.6.8 here.

Here's my error report

Code: Select all

Process:         Prison Architect [1225]
Path:            /Applications/Prison Architect.app/Contents/MacOS/Prison Architect
Identifier:      com.Introversion.Prison_Architect
Version:         ??? (???)
Code Type:       X86 (Native)
Parent Process:  launchd [242]

Date/Time:       2012-09-28 21:18:23.901 -0400
OS Version:      Mac OS X 10.6.8 (10K549)
Report Version:  6

Interval Since Last Report:          6087234 sec
Crashes Since Last Report:           67
Per-App Crashes Since Last Report:   7
Anonymous UUID:                      C3FB961F-1273-45E6-ACBE-32C8277D74D2

Exception Type:  EXC_BREAKPOINT (SIGTRAP)
Exception Codes: 0x0000000000000002, 0x0000000000000000
Crashed Thread:  0

Dyld Error Message:
  Library not loaded: /usr/lib/libcurl.4.dylib
  Referenced from: /Applications/Prison Architect.app/Contents/MacOS/Prison Architect
  Reason: Incompatible library version: Prison Architect requires version 7.0.0 or later, but libcurl.4.dylib provides version 6.0.0

Binary Images:
0x8fe00000 - 0x8fe4162b  dyld 132.1 (???) <A4F6ADCC-6448-37B4-ED6C-ABB2CD06F448> /usr/lib/dyld

Model: MacBookPro6,1, BootROM MBP61.0057.B0C, 2 processors, Intel Core i7, 2.66 GHz, 4 GB, SMC 1.57f17
Graphics: NVIDIA GeForce GT 330M, NVIDIA GeForce GT 330M, PCIe, 512 MB
Graphics: Intel HD Graphics, Intel HD Graphics, Built-In, 288 MB
Memory Module: global_name
AirPort: spairport_wireless_card_type_airport_extreme (0x14E4, 0x93), Broadcom BCM43xx 1.0 (5.10.131.42.4)
Bluetooth: Version 2.4.5f3, 2 service, 12 devices, 1 incoming serial ports
Network Service: AirPort, AirPort, en1
Serial ATA Device: Hitachi HTS725050A9A362, 465.76 GB
Serial ATA Device: HL-DT-ST DVDRW  GS23N
USB Device: Hub, 0x0424  (SMSC), 0x2514, 0xfd100000 / 2
USB Device: Built-in iSight, 0x05ac  (Apple Inc.), 0x8507, 0xfd110000 / 4
USB Device: IR Receiver, 0x05ac  (Apple Inc.), 0x8242, 0xfd120000 / 3
USB Device: Hub, 0x0424  (SMSC), 0x2514, 0xfa100000 / 2
USB Device: Apple Internal Keyboard / Trackpad, 0x05ac  (Apple Inc.), 0x0236, 0xfa120000 / 4
USB Device: BRCM2070 Hub, 0x0a5c  (Broadcom Corp.), 0x4500, 0xfa110000 / 3
USB Device: Bluetooth USB Host Controller, 0x05ac  (Apple Inc.), 0x8218, 0xfa113000 / 5
WaferMouse
level0
Posts: 1
Joined: Thu Sep 27, 2012 11:58 pm

Postby WaferMouse » Sat Sep 29, 2012 11:13 pm

More of the same :( CUR(L)SES! I'd also be interested in a working curl build.

Code: Select all

Process:         Prison Architect [2184]
Path:            /Applications/Prison Architect.app/Contents/MacOS/Prison Architect
Identifier:      com.Introversion.Prison_Architect
Version:         ??? (???)
Code Type:       X86 (Native)
Parent Process:  launchd [95]

Date/Time:       2012-09-29 23:08:25.354 +0100
OS Version:      Mac OS X 10.6.7 (10J869)
Report Version:  6

Interval Since Last Report:          11835926 sec
Crashes Since Last Report:           59
Per-App Crashes Since Last Report:   5
Anonymous UUID:                      A6729F1C-9883-41B8-B135-9133ED6A3057

Exception Type:  EXC_BREAKPOINT (SIGTRAP)
Exception Codes: 0x0000000000000002, 0x0000000000000000
Crashed Thread:  0

Dyld Error Message:
  Library not loaded: /usr/lib/libcurl.4.dylib
  Referenced from: /Applications/Prison Architect.app/Contents/MacOS/Prison Architect
  Reason: Incompatible library version: Prison Architect requires version 7.0.0 or later, but libcurl.4.dylib provides version 6.0.0

Binary Images:
0x8fe00000 - 0x8fe4162b  dyld 132.1 (???) <1C06ECD9-A2D7-BB10-AF50-0F2B598A7DEC> /usr/lib/dyld

Model: MacBookPro5,5, BootROM MBP55.00AC.B03, 2 processors, Intel Core 2 Duo, 2.26 GHz, 8 GB, SMC 1.47f2
Graphics: NVIDIA GeForce 9400M, NVIDIA GeForce 9400M, PCI, 256 MB
Memory Module: global_name
AirPort: spairport_wireless_card_type_airport_extreme (0x14E4, 0x8D), Broadcom BCM43xx 1.0 (5.10.131.36.9)
Bluetooth: Version 2.4.0f1, 2 service, 12 devices, 2 incoming serial ports
Network Service: AirPort, AirPort, en1
Serial ATA Device: Hitachi HTS545016B9SA02, 149.05 GB
Serial ATA Device: HL-DT-ST DVDRW  GS23N
USB Device: Built-in iSight, 0x05ac  (Apple Inc.), 0x8507, 0x24400000
USB Device: Razer Naga, 0x1532, 0x0015, 0x04100000
USB Device: Apple Internal Keyboard / Trackpad, 0x05ac  (Apple Inc.), 0x0237, 0x04600000
USB Device: IR Receiver, 0x05ac  (Apple Inc.), 0x8242, 0x04500000
USB Device: Internal Memory Card Reader, 0x05ac  (Apple Inc.), 0x8403, 0x26500000
USB Device: BRCM2046 Hub, 0x0a5c  (Broadcom Corp.), 0x4500, 0x06100000
USB Device: Bluetooth USB Host Controller, 0x05ac  (Apple Inc.), 0x8213, 0x06110000

Return to “Community Members”

Who is online

Users browsing this forum: No registered users and 3 guests